Name:            amsynth
Version:         1.5.1
Release:         %mkrel 1

Summary:        Virtual-analog polyphonic synthesizer for ALSA, OSS and JACK
Source:         http://%{name}.googlecode.com/files/amsynth-%{version}.tar.xz
URL:            http://code.google.com/p/%{name}
License:        GPLv2
Group:          Sound
#-----------------------------------------------------------
BuildRequires:  alsa-oss-devel
BuildRequires: dssi-devel
BuildRequires: ladspa-devel 
BuildRequires: lv2-devel
BuildRequires: %{_lib}alsa2-devel 
BuildRequires: %{_lib}atk1.0-devel 
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}cairo-devel 
BuildRequires: %{_lib}cairomm1.0-devel 
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel 
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel 
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel 
BuildRequires: %{_lib}jack-devel 
BuildRequires: %{_lib}lo-devel 
BuildRequires: %{_lib}pango1.0-devel 
BuildRequires: %{_lib}pangomm2.4-devel 
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}x11-devel 
#-----------------------------------------------------------

%description
AmSynth is a standalone polyphonic subtractive synthesizer. It supports
OSS, ALSA and JACK for Audio and MIDI I/O. Features are as follows.

o Dual oscillators with classic waveforms - sine / saw / square / noise
o 24 dB/oct low-pass resonant filter
o Independent ADSR envelopes for filter & amplitude
o LFO which can module the oscillators, filter, and amplitude
o Distortion effect
o Reverb


%prep
%setup -q

%build
%configure2_5x --without-lash --libdir=%{_libdir}
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

  
%files
%defattr(-,root,root)
%doc README AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%{_libdir}/dssi/%{name}_dssi.so
%{_libdir}/dssi/%{name}_dssi/%{name}_dssi_gtk

%{_libdir}/lv2/%{name}.lv2/*



%changelog
* Sat May 23 2015 gseaman <galen.seaman at comcast.net> 1.5.1-1gseaman2015
- import into pclos
